﻿@page "/datepicker-demo"

<p>
    Remember that if you use date time input, the input timezone is based from the Blazor's server timezone.
    If you want the client to input using their own PC or browser's timezone, use the correct way.
    For example, create the datepicker input component in JavaScript and obtain the datetime with client timezone from there.
</p>
<NextHotelForm Model="Form"
               OnValidSubmit="OnValidSubmit"
               SuccessMessage="SuccessMessage">
    <FormComponent>
        <div class="form-group">
            <label for="name">From</label>
            <RadzenDatePicker @bind-Value=Form.FromDate
                              DateFormat="d" />
            <ValidationMessage For="() => Form.FromDate"></ValidationMessage>
        </div>
        <div class="form-group">
            <label for="name">To</label>
            <RadzenDatePicker @bind-Value=Form.ToDate
                              DateFormat="d" />
            <ValidationMessage For="() => Form.ToDate"></ValidationMessage>
        </div>
    </FormComponent>
</NextHotelForm>

@using BlazorApp.Models; 
@code{
    private DatepickerDemoForm Form { get; set; } = new DatepickerDemoForm();

    public NextHotelFormSuccessMessage SuccessMessage { get; set; } = new NextHotelFormSuccessMessage
    {
        Context = "successfully validated."
    };

    private void OnValidSubmit()
    {

    }
}